Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class TrackRenderer

    java.lang.Object
      gov.nasa.worldwind.TrackRenderer

All Implemented Interfaces:
  Disposable

    public class TrackRenderer

extends Object
implements Disposable

Constructor Summary
`TrackRenderer()`

Method Summary
`void` | `dispose()`
`String` | `getIconFilePath()`
`int` | `getLowerLimit()`
`double` | `getMarkerElevation()`
`double` | `getMarkerPixels()`
`Material` | `getMaterial()`
`double` | `getMinMarkerSize()`
`int` | `getUpperLimit()`
`boolean` | `isOverrideMarkerElevation()`
`void` | `pick(DrawContext dc, Iterator<TrackPoint> trackPositions, Point pickPoint, Layer layer)`
`Point` | `render(DrawContext dc, Iterator<TrackPoint> trackPositions)`
`void` | `setIconFilePath(String iconFilePath)`
`void` | `setLowerLimit(int lowerLimit)`
`void` | `setMarkerElevation(double markerElevation)`
`void` | `setMarkerPixels(double markerPixels)`
`void` | `setMaterial(Material material)`
`void` | `setMinMarkerSize(double minMarkerSize)`
`void` | `setOverrideMarkerElevation(boolean overrideMarkerElevation)`
`void` | `setShapeType(String shapeName)`
`void` | `setUpperLimit(int upperLimit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrackRenderer

    public TrackRenderer()

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`

### getIconFilePath

    public String getIconFilePath()

### getLowerLimit

    public int getLowerLimit()

### getMarkerElevation

    public double getMarkerElevation()

### getMarkerPixels

    public double getMarkerPixels()

### getMaterial

    public Material getMaterial()

### getMinMarkerSize

    public double getMinMarkerSize()

### getUpperLimit

    public int getUpperLimit()

### isOverrideMarkerElevation

    public boolean isOverrideMarkerElevation()

### pick

    public void pick(DrawContext dc,
                     Iterator<TrackPoint> trackPositions,
                     Point pickPoint,
                     Layer layer)

### render

    public Point render(DrawContext dc,
                        Iterator<TrackPoint> trackPositions)

### setIconFilePath

    public void setIconFilePath(String iconFilePath)

### setLowerLimit

    public void setLowerLimit(int lowerLimit)

### setMarkerElevation

    public void setMarkerElevation(double markerElevation)

### setMarkerPixels

    public void setMarkerPixels(double markerPixels)

### setMaterial

    public void setMaterial(Material material)

### setMinMarkerSize

    public void setMinMarkerSize(double minMarkerSize)

### setOverrideMarkerElevation

    public void setOverrideMarkerElevation(boolean overrideMarkerElevation)

### setShapeType

    public void setShapeType(String shapeName)

### setUpperLimit

    public void setUpperLimit(int upperLimit)

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD